commit:     62fb8a86195b5d38af3b8fa7426971648bfc5b83
Author:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 27 02:19:36 2017 +0000
Commit:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Fri Oct 27 02:28:22 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62fb8a86

dev-util/buildbot-wsgi-dashboards: Version bump, EAPI bump

Package-Manager: Portage-2.3.12, Repoman-2.3.4

 dev-util/buildbot-wsgi-dashboards/Manifest         |  1 +
 .../buildbot-wsgi-dashboards-0.9.12.ebuild         | 50 ++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-util/buildbot-wsgi-dashboards/Manifest 
b/dev-util/buildbot-wsgi-dashboards/Manifest
index c75e8dd8d31..017d3ff3be3 100644
--- a/dev-util/buildbot-wsgi-dashboards/Manifest
+++ b/dev-util/buildbot-wsgi-dashboards/Manifest
@@ -1 +1,2 @@
 DIST buildbot-wsgi-dashboards-0.9.11.tar.gz 627215 SHA256 
bb72b78045867bc0ee2cbe90df96978860ed14e61090dc67b5ecd9606bab2975 SHA512 
6f829d5ead05cb91f5b85f128874f1df01288e87938df9f8dd1cca1552ccfb7cae35be4eb077ea97d5ca4f44b236947649131b9aed2bdc9142920c2ee1439f4b
 WHIRLPOOL 
d33937eb54c8c4f7bc8d5d3258d37b0fac39293657e2668fc96149a574ff583f37798ff0ce03b2bc5a2ab5db1015db5538c1d5806ff23ca7d2b7a8152666d97f
+DIST buildbot-wsgi-dashboards-0.9.12.tar.gz 627274 SHA256 
6feaa8018ea4a16edefa3fa6ea48fa40a37ed374226473cf7a79369f599f9599 SHA512 
113c1616b08feb64fd3d94c1186e3d7dd7ea93e563a96ddb802e6ff8135e194014464ef09a23004518451626584bc531fc17419188ebbdd388e9363541b80c3d
 WHIRLPOOL 
6a3b07bd131f84ed13b940c19ca6680d76967135e50d53fb1da9115511707200ac322adc59ae4a3f36928f00903137df44fa012aa3f097af06660b75b728a1a9

diff --git 
a/dev-util/buildbot-wsgi-dashboards/buildbot-wsgi-dashboards-0.9.12.ebuild 
b/dev-util/buildbot-wsgi-dashboards/buildbot-wsgi-dashboards-0.9.12.ebuild
new file mode 100644
index 00000000000..cf9810a5d1c
--- /dev/null
+++ b/dev-util/buildbot-wsgi-dashboards/buildbot-wsgi-dashboards-0.9.12.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+PYTHON_REQ_USE="sqlite"
+PYTHON_COMPAT=( python2_7 python3_5 )
+
+EGIT_REPO_URI="https://github.com/buildbot/buildbot.git";
+
+[[ ${PV} == *9999 ]] && inherit git-r3
+inherit distutils-r1
+
+DESCRIPTION="Buildbot plugin to integrate flask or bottle dashboards to 
buildbot UI"
+HOMEPAGE="https://buildbot.net/ https://github.com/buildbot/buildbot 
https://pypi.python.org/pypi/buildbot-wsgi-dashboards";
+
+MY_PV="${PV/_p/.post}"
+MY_P="${PN}-${MY_PV}"
+[[ ${PV} == *9999 ]] || SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+
+if [[ ${PV} == *9999 ]]; then
+       KEYWORDS=""
+else
+       KEYWORDS="~amd64"
+fi
+
+IUSE="test"
+
+RDEPEND=""
+
+DEPEND="${RDEPEND}
+       >=dev-python/setuptools-21.2.1[${PYTHON_USEDEP}]
+       ~dev-util/buildbot-${PV}[${PYTHON_USEDEP}]
+       ~dev-util/buildbot-www-${PV}[${PYTHON_USEDEP}]
+"
+
+S="${WORKDIR}/${MY_P}"
+#[[ ${PV} == *9999 ]] && S=${S}/www/base
+
+python_test() {
+       distutils_install_for_testing
+
+       esetup.py test || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+}

Reply via email to